--- /etc/apparmor.d/torbrowser
+++ /etc/apparmor.d/torbrowser
@@ -128,4 +128,9 @@
   deny /var/tmp/             rwklx,
   deny owner /tmp/**         rwklx,
   deny /tmp/                 rwklx,
+
+  # Deny access to DRM nodes, that's granted by the X abstraction, which is
+  # sourced by the gnome abstraction, that we include.
+  deny /dev/dri/             rwklx,
+  deny /dev/dri/**           rwklx,
 }
